var path = require('path');
var settings = {
  env: "dev",
  salt: "%iatpD1gcxz7iF#B",
  wxconfig: {
    appId: "wx76a324c5d201d1a4",
    appname: "工具箱",
    secret: "f99d413b767f09b5dff0b3610366cc46",
  },
  basepath: path.normalize(path.join(__dirname, '../..')),
  port: process.env.NODE_PORT || 3000,
  reqEsAddr: function () {
    if (this.env == "dev") {
      var localsettings = require("./localsettings");
      return localsettings.reqEsDevUrl;
    } else {
      return "http://43.247.184.94:7200/";
    }
  },
  apiconfig: {
    opLogUrl: function () {
      return settings.reqEsAddr() + "bigdata_zc_op_log/_doc?pretty";
    },
    opLogEsIsAdd: function () {
      return 1;
    },
    yunzhanghuDealer_id: function () {
      //商户平台ID(dealer_id)——自己
      return "27403253";
    },
    //e签宝签署状态变化完成后跳转boss页面Url地址（拒签、签署完成），在合同模板创建合同 5.4.2指定redirectUrl
    eSignBaoRedirectBossUrl: function () {
      return "https://bpohhr.gongsibao.com/h5";
    },

    //e签宝接口Url
    eSignBaoUrl: function () {
      return "https://smlo.tsign.cn/opentreaty-service";
    },
    //e签宝银行验证接口Url
    eSignBaoBankVerifyUrl:function(){
    return "https://smlo.tsign.cn/openrealname-service";
    },
    //e签宝appId
    eSignBaoAppId: function () {
      return "4438757581";
    },
    //e签宝appKey
    eSignBaoAppKey: function () {
      return "0d798cdf01ecb31bf9949f319f8d77db";
    },
  },
  reqEsDevUrl: "http://192.168.4.249:9200/",
  domain: function() {
    if (this.env == "dev") {
      var localsettings = require("./localsettings");
      return localsettings.reqHomePageDevUrl;
    } else {
      return "https://bpohhr.gongsibao.com/";
    }
  },
  redis: function () {
    if (this.env == "dev") {
      var localsettings = require("./localsettings");
      return localsettings.redis;
    } else {
      return {
        host: "xxxxx",
        port: xxxxx,
        password: "xxxxx",
        db: xx,
      };
    }
  },
  database: function () {
    if (this.env == "dev") {
      var localsettings = require("./localsettings");
      return localsettings.database;
    } else {
      return {
        dbname: "xxxxx",
        user: "xxxx",
        password: "xxxxx",
        config: {
          host: 'xxxxxx',
          dialect: 'mysql',
          operatorsAliases: false,
          pool: {
            max: 5,
            min: 0,
            acquire: 90000000,
            idle: 1000000
          },
          debug: false,
          dialectOptions: {
            requestTimeout: 999999,
            // instanceName:'DEV'
          } //设置MSSQL超时时间
        },
      };
    }
  },
  settleDB: function() {
    return {
      dbname : "smart_account",
      user     : "wangkun",
      password : "$zdZ7Q5PKMm6#Hy",
      config   : {
        host: 'rm-2ze3yx851i59uvgg5jo.mysql.rds.aliyuncs.com',
        port: 3306,
        dialect: 'mysql',
        operatorsAliases: false,
        pool: {
          max: 5,
          min: 0,
          acquire: 90000000,
          idle: 1000000
        },
        logging: true,
        debug:true,
        dialectOptions:{
            requestTimeout: 999999,
            // instanceName:'DEV'
        }  //设置MSSQL超时时间
      },
    };
  }
};
module.exports = settings;